//
//  LineView.m
//  Apex Mobile
//
//  Created by Ray on 14-3-21.
//  Copyright (c) 2014年 United Software Applications, Inc. All rights reserved.
//

#import "LineView.h"

@implementation LineView

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
    }
    return self;
}

- (void)drawRect:(CGRect)rect
{
    CGContextRef context = UIGraphicsGetCurrentContext();
    
//    CGRect frame = self.contentView.frame;
    
    //   CGContextAddRect(context,frame);
    CGContextSetLineWidth(context, 1.0);
    
    CGContextSetStrokeColorWithColor(context, [[UIColor colorWithRed:0.10 green:0.68 blue:0.94 alpha:0.7] CGColor]);
    
//    CGRect selrect = self.bounds;
    
    CGContextMoveToPoint(context, self.bounds.size.width*0.4, self.bounds.origin.y);
    
    CGContextAddLineToPoint(context, self.bounds.size.width*0.4, self.bounds.size.height);
    
//    CGContextStrokePath(context);
    
    CGContextMoveToPoint(context, 0.5, self.bounds.origin.y);
    
    CGContextAddLineToPoint(context, 0.5, self.bounds.size.height);
    
    
    CGContextMoveToPoint(context, self.bounds.size.width-0.5, self.bounds.origin.y);
    
    CGContextAddLineToPoint(context, self.bounds.size.width-0.5, self.bounds.size.height);
    
    CGContextStrokePath(context);
    
    [super drawRect:rect];
}

@end
